"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.App = App;
exports.provideStaticContext = provideStaticContext;

var _react = _interopRequireDefault(require("react"));

var _ = require(".");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function App({
  Component,
  pageProps: {
    staticContext = {},
    ...pageProps
  }
}) {
  return /*#__PURE__*/_react.default.createElement(_.StaticContext.Provider, {
    value: staticContext
  }, /*#__PURE__*/_react.default.createElement(Component, pageProps));
}

function provideStaticContext(CustomApp) {
  return ({
    pageProps: {
      staticContext = {},
      ...pageProps
    },
    ...appProps
  }) => {
    const customAppElement = CustomApp({ ...appProps,
      pageProps
    });
    return /*#__PURE__*/_react.default.createElement(_.StaticContext.Provider, {
      value: staticContext
    }, customAppElement);
  };
}