"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStaticContext = useStaticContext;
exports.buildStaticContextValue = buildStaticContextValue;
exports.StaticContext = exports.StaticContextKey = void 0;

var _react = require("react");

// eslint-disable-next-line @typescript-eslint/no-unused-vars
class StaticContextKey {
  constructor(key) {
    this.key = key;
  }

}

exports.StaticContextKey = StaticContextKey;
const StaticContext = /*#__PURE__*/(0, _react.createContext)({});
exports.StaticContext = StaticContext;

function useStaticContext(key) {
  const context = (0, _react.useContext)(StaticContext);
  return context[key.key];
}

async function buildStaticContextValue() {
  const context = require.context(process.env.NEXT_STATIC_CONTEXT_REQUIRE_CONTEXT, true, /\.[tj]sx?$/);

  const contextGetters = {};
  context.keys().forEach(key => {
    const m = context(key);

    if (m.getStaticContext && m.staticContextKey) {
      contextGetters[m.staticContextKey.key] = m.getStaticContext;
    }
  });
  return Object.fromEntries(await Promise.all(Object.entries(contextGetters).map(async ([key, getter]) => [key, await getter()])));
}