import type { Configuration } from 'webpack';
/** Subset of the config defined in next.config.js (only the parts we care about). */
interface NextConfig {
    env?: Record<string, string>;
    webpack?: (config: Configuration, options: {
        isServer?: boolean;
    }) => Configuration;
}
/** Modifies the next.js config as needed to add support for this plugin */
export declare function withStaticContext(componentsDir: string, nextConfig?: NextConfig): {
    env: {
        NEXT_STATIC_CONTEXT_REQUIRE_CONTEXT: string;
    };
    webpack(config: Configuration, options: {
        isServer?: boolean | undefined;
    }): Configuration;
};
export {};
